Subject: Re: linux-next: Tree for August 13

From: Takashi Iwai <[email-masked]>
Date: Wed, 13 Aug 2008 13:05:01 +0200

At Wed, 13 Aug 2008 17:24:52 +1000,
Stephen Rothwell wrote:
> 
> Hi all,
> 
> Changes since next-20080812:
> 
> The ide tree lost its build fix patch.
> 
> The slab tree gained a conflict against linus' tree.
> 
> The kmemcheck tree gained 3 conflicts against the slab tree.
> 
> The ttydev tree lost a conflict.
> 
> I remerged Linus' tree at the end to reduce the size of the patches
> (since -rc3 had been released).
> 
> I have also applied the following patches for known problems:
> 
> 	Add cuImage.mpc866ads to the bootwrapper as a cuboot-8xx target
> 	xen-balloon: fix up sysfs issues
> 	ath9k: work around gcc ICE again
> 	usb: fix up use of usb_dbg

I got a problem regarding tty with today's tree.
When re-starting X, it complains that it cannot change to VT7.
Via strace, 

  open("/dev/tty0", O_WRONLY)             = 7
  ioctl(7, VIDIOC_QUERYCAP or VT_OPENQRY, 0x81e80c4) = 0
  close(7)                                = 0
  write(0, "(--) using VT number 7\n\n", 24) = 24
  getppid()                               = 3240
  getpgid(0xca8)                          = 3240
  setpgid(0, 3240)                        = 0
  setsid()                                = 3241
  open("/dev/vc/7", O_RDWR|O_NONBLOCK)    = -1 ENOENT (No such file or directory)
  open("/dev/tty7", O_RDWR|O_NONBLOCK)    = -1 EIO (Input/output error)
  write(2, "\nFatal server error:\n", 21) = 21

A similar error can be seen at shutdown, complains about the tty error
and the halt process hangs up.

Unfortunately it's hard to bisect since Aug 11 and Aug 12 trees don't
boot, and Aug 8 tree has a problem regarding cred...

thanks,

Takashi